hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Kalnichevski <ol...@apache.org>
Subject Re: [Jakarta-httpclient Wiki] Update of "HttpClientReleaseProcess" by MichaelBecke
Date Sun, 14 May 2006 19:28:00 GMT
On Sat, 2006-05-13 at 10:50 -0400, Michael Becke wrote:
> Yes, it looks like maven 1.0.2 does not work under jdk 1.2.2.  I
> haven't fiddled much with it yet, but here's what happens for me:
> 
> bash-3.1$ java -version
> java version "1.2.2"
> Classic VM (build JDK-1.2.2_017, native threads, symcjit)
> bash-3.1$ maven
> java.lang.reflect.InvocationTargetException:
> org.apache.commons.logging.LogConfigurationException:
> java.lang.reflect.InvocationTargetException
>         at org.apache.commons.logging.impl.LogFactoryImpl.newInstance(LogFactoryImpl.java:532)
>         at org.apache.commons.logging.impl.LogFactoryImpl.getInstance(LogFactoryImpl.java:272)
>         at org.apache.commons.logging.impl.LogFactoryImpl.getInstance(LogFactoryImpl.java:246)
>         at org.apache.commons.logging.LogFactory.getLog(LogFactory.java:395)
>         at org.apache.maven.cli.App.<init>(App.java:201)
>         at org.apache.maven.cli.App.main(App.java:1238)
>         at java.lang.reflect.Method.invoke(Native Method)
>         at com.werken.forehead.Forehead.run(Forehead.java, Compiled Code)
>         at com.werken.forehead.Forehead.main(Forehead.java:581)
> 
> Mike
> 

Mike, as far as I know one can force maven to target a specific JRE
level. I know how to make that work with Maven2 but am of little help
with Maven1. Can any of Maven experts out there help us please?

Oleg



> On 5/13/06, Michael Becke <mbecke@gmail.com> wrote:
> > Good question.  I believe that 1.3 produces code compatible with
> > 1.2.2.  I cannot remember the exact reason I chose to use 1.3 though.
> > I do remember trying 1.2.2 a while back but was unable to get the
> > build to work for some reason.  I don't remember if it was Maven or
> > something else though. I'll try running a httclient:dist from 1.2.2
> > and see what happens.
> >
> > Mike
> >
> > On 5/11/06, Roland Weber <http-async@dubioso.net> wrote:
> > > Hi Mike,
> > >
> > > >      * Make sure you running a 1.3 JVM.  This is necessary to ensure that
the generated binaries are 1.3 compatable.
> > >
> > > I think HttpClient is still supposed to be 1.2.2 compatible.
> > > Do we have a problem here, or does the 1.3 JVM generate code
> > > that is compatible with 1.2.2?
> > >
> > > cheers,
> > >   Roland
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail: httpclient-dev-unsubscribe@jakarta.apache.org
> > > For additional commands, e-mail: httpclient-dev-help@jakarta.apache.org
> > >
> > >
> >
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: httpclient-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: httpclient-dev-help@jakarta.apache.org
> 
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: httpclient-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: httpclient-dev-help@jakarta.apache.org


Mime
View raw message